Bug 17958 - Add the Koha::Notice::Template[s] packages (letter table)
Summary: Add the Koha::Notice::Template[s] packages (letter table)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17962 17970 17971
  Show dependency treegraph
 
Reported: 2017-01-23 10:56 UTC by Jonathan Druart
Modified: 2017-12-07 22:17 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17958: Add Koha::Letter[s] packages (2.92 KB, patch)
2017-01-23 11:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17958: Add tests for Koha::Letter[s] (2.77 KB, patch)
2017-01-23 11:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17958: Add Koha::Notice::Template[s] packages (letter table) (3.16 KB, patch)
2017-01-23 12:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17958: Add tests for Koha::Notice::Template[s] (2.87 KB, patch)
2017-01-23 12:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17958: Add Koha::Notice::Template[s] packages (letter table) (3.23 KB, patch)
2017-01-23 21:48 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17958: Add tests for Koha::Notice::Template[s] (2.94 KB, patch)
2017-01-23 21:48 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17958: Add Koha::Notice::Template[s] packages (letter table) (3.27 KB, patch)
2017-02-17 11:19 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 17958: Add tests for Koha::Notice::Template[s] (2.98 KB, patch)
2017-02-17 11:19 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-01-23 10:56:06 UTC
Just add basic Koha::Letter[s] packages using Koha::Object[s]
Comment 1 Jonathan Druart 2017-01-23 11:37:17 UTC
Created attachment 59401 [details] [review]
Bug 17958: Add Koha::Letter[s] packages

This just add Koha::Letter[s] for later uses.

Test plan:
  prove t/db_dependent/Koha/Letters.t
should return green
Comment 2 Jonathan Druart 2017-01-23 11:37:25 UTC
Created attachment 59402 [details] [review]
Bug 17958: Add tests for Koha::Letter[s]
Comment 3 Jonathan Druart 2017-01-23 12:14:00 UTC
Created attachment 59403 [details] [review]
Bug 17958: Add Koha::Notice::Template[s] packages (letter table)

This just add Koha::Letter[s] for later uses.

Test plan:
  prove t/db_dependent/Koha/Notices.t
  should return green
Comment 4 Jonathan Druart 2017-01-23 12:14:25 UTC
Created attachment 59404 [details] [review]
Bug 17958: Add tests for Koha::Notice::Template[s]
Comment 5 Josef Moravec 2017-01-23 21:48:23 UTC
Created attachment 59466 [details] [review]
[SIGNED-OFF] Bug 17958: Add Koha::Notice::Template[s] packages (letter table)

This just add Koha::Letter[s] for later uses.

Test plan:
  prove t/db_dependent/Koha/Notices.t
  should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Josef Moravec 2017-01-23 21:48:31 UTC
Created attachment 59467 [details] [review]
[SIGNED-OFF] Bug 17958: Add tests for Koha::Notice::Template[s]

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Nick Clemens 2017-02-17 11:19:22 UTC
Created attachment 60399 [details] [review]
Bug 17958: Add Koha::Notice::Template[s] packages (letter table)

This just add Koha::Letter[s] for later uses.

Test plan:
  prove t/db_dependent/Koha/Notices.t
  should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 8 Nick Clemens 2017-02-17 11:19:31 UTC
Created attachment 60400 [details] [review]
Bug 17958: Add tests for Koha::Notice::Template[s]

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 9 Kyle M Hall 2017-02-17 11:45:12 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 10 Katrin Fischer 2017-02-19 20:20:38 UTC
This won't get ported back to 16.11.x as it is an enhancement.